Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIPanelMenu
                          org.richfaces.component.html.HtmlPanelMenu

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlPanelMenu

extends UIPanelMenu

Component-Type org.richfaces.PanelMenu Component-Family org.richfaces.PanelMenu Renderer-Type org.richfaces.PanelMenuRenderer Defines the menu on the page and the set of the child elements properties in layout.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIPanelMenu
`DEFAULT_SELECTED_CLASS, USER_DEFINED_SELECTED_CLASS`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlPanelMenu()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDisabledGroupClass()` Space-separated list of CSS style class(es) that are be applied to disabled group of this component Getter for disabledGroupClass
`java.lang.String` | `getDisabledGroupStyle()` CSS style(s) is/are to be applied to disabled group when this component is rendered Getter for disabledGroupStyle
`java.lang.String` | `getDisabledItemClass()` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Getter for disabledItemClass
`java.lang.String` | `getDisabledItemStyle()` CSS style(s) is/are to be applied to disabled item when this component is rendered.
`java.lang.String` | `getEvent()` Defines the event on the representation element that triggers the submenu's expand/collapse.
`java.lang.String` | `getExpandMode()` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getGroupClass()` Space-separated list of CSS style class(es) that are be applied to group of this component Getter for groupClass
`java.lang.String` | `getGroupStyle()` CSS style(s) is/are to be applied to group when this component is rendered Getter for groupStyle
`java.lang.String` | `getHoveredGroupClass()` Space-separated list of CSS style class(es) that are be applied to hovered group of this component Getter for hoveredGroupClass
`java.lang.String` | `getHoveredGroupStyle()` CSS style(s) is/are to be applied to hovered group when this component is rendered Getter for hoveredGroupStyle
`java.lang.String` | `getHoveredItemClass()` Space-separated list of CSS style class(es) that are be applied to hovered item of this component Getter for hoveredItemClass
`java.lang.String` | `getHoveredItemStyle()` CSS style(s) is/are to be applied to hovered item when this component is rendered Getter for hoveredItemStyle
`java.lang.String` | `getIconCollapsedGroup()` Path to the icon to be displayed for the collapsed Group state Getter for iconCollapsedGroup
`java.lang.String` | `getIconCollapsedTopGroup()` Path to the icon to be displayed for the collapsed top group state Getter for iconCollapsedTopGroup
`java.lang.String` | `getIconDisabledGroup()` Path to the icon to be displayed for the disabled group state Getter for iconDisabledGroup
`java.lang.String` | `getIconDisabledItem()` Path to the icon to be displayed for the disabled item state Getter for iconDisabledItem
`java.lang.String` | `getIconExpandedGroup()` Path to the icon to be displayed for the expanded Group state Getter for iconExpandedGroup
`java.lang.String` | `getIconExpandedTopGroup()` Path to the icon to be displayed for the expanded top group state Getter for iconExpandedTopGroup
`java.lang.String` | `getIconGroupPosition()` Position of the icon (left, right none (default) ) for the group icon Getter for iconGroupPosition
`java.lang.String` | `getIconGroupTopPosition()` Position of the icon (left, right none (default) ) for the top group icon Getter for iconGroupTopPosition
`java.lang.String` | `getIconItem()` Path to the icon to be displayed for the enabled item state Getter for iconItem
`java.lang.String` | `getIconItemPosition()` Position of the icon (left, right none (default) ) for the item icon Getter for iconItemPosition
`java.lang.String` | `getIconItemTopPosition()` Position of the icon (left, right none (default) ) for the top item icon Getter for iconItemTopPosition
`java.lang.String` | `getIconTopDisabledItem()` Path to the icon to be displayed for the disabled top item state Getter for iconTopDisabledItem
`java.lang.String` | `getIconTopDisableGroup()` Path to the icon to be displayed for the disabled top Group state Getter for iconTopDisableGroup
`java.lang.String` | `getIconTopItem()` Path to the icon to be displayed for the enabled top item state Getter for iconTopItem
`java.lang.String` | `getItemClass()` Space-separated list of CSS style class(es) that are be applied to item of this component Getter for itemClass
`java.lang.String` | `getItemStyle()` CSS style(s) is/are to be applied to item when this component is rendered.
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`java.lang.String` | `getMode()` Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined.
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOngroupcollapse()` HTML: script expression; some group was closed Getter for ongroupcollapse
`java.lang.String` | `getOngroupexpand()` HTML: script expression; some group was activated Getter for ongroupexpand
`java.lang.String` | `getOnitemhover()` HTML: script expression; some item was hovered Getter for onitemhover
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: script expression; a pointer was moved within.
`java.lang.String` | `getOnmouseout()` HTML: script expression; a pointer was moved away.
`java.lang.String` | `getOnmouseover()` HTML: script expression; a pointer was moved onto.
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getSelectedChild()` contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Getter for selectedChild
`java.lang.String` | `getStyle()` The CSS style for the panel menu.
`java.lang.String` | `getStyleClass()` The CSS class for the panel menu.
`java.lang.String` | `getTopGroupClass()` Space-separated list of CSS style class(es) that are be applied to top group of this component Getter for topGroupClass
`java.lang.String` | `getTopGroupStyle()` CSS style(s) is/are to be applied to top group when this component is rendered Getter for topGroupStyle
`java.lang.String` | `getTopItemClass()` Space-separated list of CSS style class(es) that are be applied to top item of this component Getter for topItemClass
`java.lang.String` | `getTopItemStyle()` CSS style(s) is/are to be applied to top item when this component is rendered Getter for topItemStyle
`java.lang.String` | `getWidth()` Set minimal width for the menu.
`boolean` | `isDisabled()` If true sets state of the item to disabled state. false is default.
`boolean` | `isExpandSingle()` Whether only one panel menu node on top level can be opened at a time.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDisabled(boolean __disabled)` If true sets state of the item to disabled state. false is default.
`void` | `setDisabledGroupClass(java.lang.String __disabledGroupClass)` Space-separated list of CSS style class(es) that are be applied to disabled group of this component Setter for disabledGroupClass
`void` | `setDisabledGroupStyle(java.lang.String __disabledGroupStyle)` CSS style(s) is/are to be applied to disabled group when this component is rendered Setter for disabledGroupStyle
`void` | `setDisabledItemClass(java.lang.String __disabledItemClass)` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
`void` | `setDisabledItemStyle(java.lang.String __disabledItemStyle)` CSS style(s) is/are to be applied to disabled item when this component is rendered.
`void` | `setEvent(java.lang.String __event)` Defines the event on the representation element that triggers the submenu's expand/collapse.
`void` | `setExpandMode(java.lang.String __expandMode)` Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined.
`void` | `setExpandSingle(boolean __expandSingle)` Whether only one panel menu node on top level can be opened at a time.
`void` | `setGroupClass(java.lang.String __groupClass)` Space-separated list of CSS style class(es) that are be applied to group of this component Setter for groupClass
`void` | `setGroupStyle(java.lang.String __groupStyle)` CSS style(s) is/are to be applied to group when this component is rendered Setter for groupStyle
`void` | `setHoveredGroupClass(java.lang.String __hoveredGroupClass)` Space-separated list of CSS style class(es) that are be applied to hovered group of this component Setter for hoveredGroupClass
`void` | `setHoveredGroupStyle(java.lang.String __hoveredGroupStyle)` CSS style(s) is/are to be applied to hovered group when this component is rendered Setter for hoveredGroupStyle
`void` | `setHoveredItemClass(java.lang.String __hoveredItemClass)` Space-separated list of CSS style class(es) that are be applied to hovered item of this component Setter for hoveredItemClass
`void` | `setHoveredItemStyle(java.lang.String __hoveredItemStyle)` CSS style(s) is/are to be applied to hovered item when this component is rendered Setter for hoveredItemStyle
`void` | `setIconCollapsedGroup(java.lang.String __iconCollapsedGroup)` Path to the icon to be displayed for the collapsed Group state Setter for iconCollapsedGroup
`void` | `setIconCollapsedTopGroup(java.lang.String __iconCollapsedTopGroup)` Path to the icon to be displayed for the collapsed top group state Setter for iconCollapsedTopGroup
`void` | `setIconDisabledGroup(java.lang.String __iconDisabledGroup)` Path to the icon to be displayed for the disabled group state Setter for iconDisabledGroup
`void` | `setIconDisabledItem(java.lang.String __iconDisabledItem)` Path to the icon to be displayed for the disabled item state Setter for iconDisabledItem
`void` | `setIconExpandedGroup(java.lang.String __iconExpandedGroup)` Path to the icon to be displayed for the expanded Group state Setter for iconExpandedGroup
`void` | `setIconExpandedTopGroup(java.lang.String __iconExpandedTopGroup)` Path to the icon to be displayed for the expanded top group state Setter for iconExpandedTopGroup
`void` | `setIconGroupPosition(java.lang.String __iconGroupPosition)` Position of the icon (left, right none (default) ) for the group icon Setter for iconGroupPosition
`void` | `setIconGroupTopPosition(java.lang.String __iconGroupTopPosition)` Position of the icon (left, right none (default) ) for the top group icon Setter for iconGroupTopPosition
`void` | `setIconItem(java.lang.String __iconItem)` Path to the icon to be displayed for the enabled item state Setter for iconItem
`void` | `setIconItemPosition(java.lang.String __iconItemPosition)` Position of the icon (left, right none (default) ) for the item icon Setter for iconItemPosition
`void` | `setIconItemTopPosition(java.lang.String __iconItemTopPosition)` Position of the icon (left, right none (default) ) for the top item icon Setter for iconItemTopPosition
`void` | `setIconTopDisabledItem(java.lang.String __iconTopDisabledItem)` Path to the icon to be displayed for the disabled top item state Setter for iconTopDisabledItem
`void` | `setIconTopDisableGroup(java.lang.String __iconTopDisableGroup)` Path to the icon to be displayed for the disabled top Group state Setter for iconTopDisableGroup
`void` | `setIconTopItem(java.lang.String __iconTopItem)` Path to the icon to be displayed for the enabled top item state Setter for iconTopItem
`void` | `setItemClass(java.lang.String __itemClass)` Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
`void` | `setItemStyle(java.lang.String __itemStyle)` CSS style(s) is/are to be applied to item when this component is rendered.
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setMode(java.lang.String __mode)` Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined.
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOngroupcollapse(java.lang.String __ongroupcollapse)` HTML: script expression; some group was closed Setter for ongroupcollapse
`void` | `setOngroupexpand(java.lang.String __ongroupexpand)` HTML: script expression; some group was activated Setter for ongroupexpand
`void` | `setOnitemhover(java.lang.String __onitemhover)` HTML: script expression; some item was hovered Setter for onitemhover
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: script expression; a pointer was moved within.
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: script expression; a pointer was moved away.
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: script expression; a pointer was moved onto.
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setSelectedChild(java.lang.String __selectedChild)` contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Setter for selectedChild
`void` | `setStyle(java.lang.String __style)` The CSS style for the panel menu.
`void` | `setStyleClass(java.lang.String __styleClass)` The CSS class for the panel menu.
`void` | `setTopGroupClass(java.lang.String __topGroupClass)` Space-separated list of CSS style class(es) that are be applied to top group of this component Setter for topGroupClass
`void` | `setTopGroupStyle(java.lang.String __topGroupStyle)` CSS style(s) is/are to be applied to top group when this component is rendered Setter for topGroupStyle
`void` | `setTopItemClass(java.lang.String __topItemClass)` Space-separated list of CSS style class(es) that are be applied to top item of this component Setter for topItemClass
`void` | `setTopItemStyle(java.lang.String __topItemStyle)` CSS style(s) is/are to be applied to top item when this component is rendered Setter for topItemStyle
`void` | `setWidth(java.lang.String __width)` Set minimal width for the menu.

Methods inherited from class org.richfaces.component.UIPanelMenu
`getSelectedName`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelMenu

    public HtmlPanelMenu()

  Constructor to init default renderers

Method Detail

### setDisabled

    public void setDisabled(boolean __disabled)

  If true sets state of the item to disabled state. false is default. Setter for disabled

  Specified by:
    `setDisabled` in class `UIPanelMenu`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  If true sets state of the item to disabled state. false is default. Getter for disabled

  Specified by:
    `isDisabled` in class `UIPanelMenu`
  Returns:
    disabled value from local variable or value bindings

### setDisabledGroupClass

    public void setDisabledGroupClass(java.lang.String __disabledGroupClass)

  Space-separated list of CSS style class(es) that are be applied to disabled group of this component Setter for disabledGroupClass

  Specified by:
    `setDisabledGroupClass` in class `UIPanelMenu`
  Parameters:
    `disabledGroupClass` - - new value

### getDisabledGroupClass

    public java.lang.String getDisabledGroupClass()

  Space-separated list of CSS style class(es) that are be applied to disabled group of this component Getter for disabledGroupClass

  Specified by:
    `getDisabledGroupClass` in class `UIPanelMenu`
  Returns:
    disabledGroupClass value from local variable or value bindings

### setDisabledGroupStyle

    public void setDisabledGroupStyle(java.lang.String __disabledGroupStyle)

  CSS style(s) is/are to be applied to disabled group when this component is rendered Setter for disabledGroupStyle

  Specified by:
    `setDisabledGroupStyle` in class `UIPanelMenu`
  Parameters:
    `disabledGroupStyle` - - new value

### getDisabledGroupStyle

    public java.lang.String getDisabledGroupStyle()

  CSS style(s) is/are to be applied to disabled group when this component is rendered Getter for disabledGroupStyle

  Specified by:
    `getDisabledGroupStyle` in class `UIPanelMenu`
  Returns:
    disabledGroupStyle value from local variable or value bindings

### setDisabledItemClass

    public void setDisabledItemClass(java.lang.String __disabledItemClass)

  Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass

  Specified by:
    `setDisabledItemClass` in class `UIPanelMenu`
  Parameters:
    `disabledItemClass` - - new value

### getDisabledItemClass

    public java.lang.String getDisabledItemClass()

  Space-separated list of CSS style class(es) that are be applied to disabled item of this component Getter for disabledItemClass

  Specified by:
    `getDisabledItemClass` in class `UIPanelMenu`
  Returns:
    disabledItemClass value from local variable or value bindings

### setDisabledItemStyle

    public void setDisabledItemStyle(java.lang.String __disabledItemStyle)

  CSS style(s) is/are to be applied to disabled item when this component is rendered. Setter for disabledItemStyle

  Specified by:
    `setDisabledItemStyle` in class `UIPanelMenu`
  Parameters:
    `disabledItemStyle` - - new value

### getDisabledItemStyle

    public java.lang.String getDisabledItemStyle()

  CSS style(s) is/are to be applied to disabled item when this component is rendered. Getter for disabledItemStyle

  Specified by:
    `getDisabledItemStyle` in class `UIPanelMenu`
  Returns:
    disabledItemStyle value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  Defines the event on the representation element that triggers the submenu's expand/collapse. (default=onclick) Setter for event

  Specified by:
    `setEvent` in class `UIPanelMenu`
  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  Defines the event on the representation element that triggers the submenu's expand/collapse. (default=onclick) Getter for event

  Specified by:
    `getEvent` in class `UIPanelMenu`
  Returns:
    event value from local variable or value bindings

### setExpandMode

    public void setExpandMode(java.lang.String __expandMode)

  Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. (ajax, server, none(Default)) Setter for expandMode

  Specified by:
    `setExpandMode` in class `UIPanelMenu`
  Parameters:
    `expandMode` - - new value

### getExpandMode

    public java.lang.String getExpandMode()

  Set the submission mode for all panel menu groups after expand/collapse except ones where this attribute redefined. (ajax, server, none(Default)) Getter for expandMode

  Specified by:
    `getExpandMode` in class `UIPanelMenu`
  Returns:
    expandMode value from local variable or value bindings

### setExpandSingle

    public void setExpandSingle(boolean __expandSingle)

  Whether only one panel menu node on top level can be opened at a time. If the value of this attribute is true, the previously opened node on the top level is closed. If the value is false, the node is left opened. The default value is false. Setter for expandSingle

  Specified by:
    `setExpandSingle` in class `UIPanelMenu`
  Parameters:
    `expandSingle` - - new value

### isExpandSingle

    public boolean isExpandSingle()

  Whether only one panel menu node on top level can be opened at a time. If the value of this attribute is true, the previously opened node on the top level is closed. If the value is false, the node is left opened. The default value is false. Getter for expandSingle

  Specified by:
    `isExpandSingle` in class `UIPanelMenu`
  Returns:
    expandSingle value from local variable or value bindings

### setGroupClass

    public void setGroupClass(java.lang.String __groupClass)

  Space-separated list of CSS style class(es) that are be applied to group of this component Setter for groupClass

  Specified by:
    `setGroupClass` in class `UIPanelMenu`
  Parameters:
    `groupClass` - - new value

### getGroupClass

    public java.lang.String getGroupClass()

  Space-separated list of CSS style class(es) that are be applied to group of this component Getter for groupClass

  Specified by:
    `getGroupClass` in class `UIPanelMenu`
  Returns:
    groupClass value from local variable or value bindings

### setGroupStyle

    public void setGroupStyle(java.lang.String __groupStyle)

  CSS style(s) is/are to be applied to group when this component is rendered Setter for groupStyle

  Specified by:
    `setGroupStyle` in class `UIPanelMenu`
  Parameters:
    `groupStyle` - - new value

### getGroupStyle

    public java.lang.String getGroupStyle()

  CSS style(s) is/are to be applied to group when this component is rendered Getter for groupStyle

  Specified by:
    `getGroupStyle` in class `UIPanelMenu`
  Returns:
    groupStyle value from local variable or value bindings

### setHoveredGroupClass

    public void setHoveredGroupClass(java.lang.String __hoveredGroupClass)

  Space-separated list of CSS style class(es) that are be applied to hovered group of this component Setter for hoveredGroupClass

  Specified by:
    `setHoveredGroupClass` in class `UIPanelMenu`
  Parameters:
    `hoveredGroupClass` - - new value

### getHoveredGroupClass

    public java.lang.String getHoveredGroupClass()

  Space-separated list of CSS style class(es) that are be applied to hovered group of this component Getter for hoveredGroupClass

  Specified by:
    `getHoveredGroupClass` in class `UIPanelMenu`
  Returns:
    hoveredGroupClass value from local variable or value bindings

### setHoveredGroupStyle

    public void setHoveredGroupStyle(java.lang.String __hoveredGroupStyle)

  CSS style(s) is/are to be applied to hovered group when this component is rendered Setter for hoveredGroupStyle

  Specified by:
    `setHoveredGroupStyle` in class `UIPanelMenu`
  Parameters:
    `hoveredGroupStyle` - - new value

### getHoveredGroupStyle

    public java.lang.String getHoveredGroupStyle()

  CSS style(s) is/are to be applied to hovered group when this component is rendered Getter for hoveredGroupStyle

  Specified by:
    `getHoveredGroupStyle` in class `UIPanelMenu`
  Returns:
    hoveredGroupStyle value from local variable or value bindings

### setHoveredItemClass

    public void setHoveredItemClass(java.lang.String __hoveredItemClass)

  Space-separated list of CSS style class(es) that are be applied to hovered item of this component Setter for hoveredItemClass

  Specified by:
    `setHoveredItemClass` in class `UIPanelMenu`
  Parameters:
    `hoveredItemClass` - - new value

### getHoveredItemClass

    public java.lang.String getHoveredItemClass()

  Space-separated list of CSS style class(es) that are be applied to hovered item of this component Getter for hoveredItemClass

  Specified by:
    `getHoveredItemClass` in class `UIPanelMenu`
  Returns:
    hoveredItemClass value from local variable or value bindings

### setHoveredItemStyle

    public void setHoveredItemStyle(java.lang.String __hoveredItemStyle)

  CSS style(s) is/are to be applied to hovered item when this component is rendered Setter for hoveredItemStyle

  Specified by:
    `setHoveredItemStyle` in class `UIPanelMenu`
  Parameters:
    `hoveredItemStyle` - - new value

### getHoveredItemStyle

    public java.lang.String getHoveredItemStyle()

  CSS style(s) is/are to be applied to hovered item when this component is rendered Getter for hoveredItemStyle

  Specified by:
    `getHoveredItemStyle` in class `UIPanelMenu`
  Returns:
    hoveredItemStyle value from local variable or value bindings

### setIconCollapsedGroup

    public void setIconCollapsedGroup(java.lang.String __iconCollapsedGroup)

  Path to the icon to be displayed for the collapsed Group state Setter for iconCollapsedGroup

  Specified by:
    `setIconCollapsedGroup` in class `UIPanelMenu`
  Parameters:
    `iconCollapsedGroup` - - new value

### getIconCollapsedGroup

    public java.lang.String getIconCollapsedGroup()

  Path to the icon to be displayed for the collapsed Group state Getter for iconCollapsedGroup

  Specified by:
    `getIconCollapsedGroup` in class `UIPanelMenu`
  Returns:
    iconCollapsedGroup value from local variable or value bindings

### setIconCollapsedTopGroup

    public void setIconCollapsedTopGroup(java.lang.String __iconCollapsedTopGroup)

  Path to the icon to be displayed for the collapsed top group state Setter for iconCollapsedTopGroup

  Specified by:
    `setIconCollapsedTopGroup` in class `UIPanelMenu`
  Parameters:
    `iconCollapsedTopGroup` - - new value

### getIconCollapsedTopGroup

    public java.lang.String getIconCollapsedTopGroup()

  Path to the icon to be displayed for the collapsed top group state Getter for iconCollapsedTopGroup

  Specified by:
    `getIconCollapsedTopGroup` in class `UIPanelMenu`
  Returns:
    iconCollapsedTopGroup value from local variable or value bindings

### setIconDisabledGroup

    public void setIconDisabledGroup(java.lang.String __iconDisabledGroup)

  Path to the icon to be displayed for the disabled group state Setter for iconDisabledGroup

  Specified by:
    `setIconDisabledGroup` in class `UIPanelMenu`
  Parameters:
    `iconDisabledGroup` - - new value

### getIconDisabledGroup

    public java.lang.String getIconDisabledGroup()

  Path to the icon to be displayed for the disabled group state Getter for iconDisabledGroup

  Specified by:
    `getIconDisabledGroup` in class `UIPanelMenu`
  Returns:
    iconDisabledGroup value from local variable or value bindings

### setIconDisabledItem

    public void setIconDisabledItem(java.lang.String __iconDisabledItem)

  Path to the icon to be displayed for the disabled item state Setter for iconDisabledItem

  Specified by:
    `setIconDisabledItem` in class `UIPanelMenu`
  Parameters:
    `iconDisabledItem` - - new value

### getIconDisabledItem

    public java.lang.String getIconDisabledItem()

  Path to the icon to be displayed for the disabled item state Getter for iconDisabledItem

  Specified by:
    `getIconDisabledItem` in class `UIPanelMenu`
  Returns:
    iconDisabledItem value from local variable or value bindings

### setIconExpandedGroup

    public void setIconExpandedGroup(java.lang.String __iconExpandedGroup)

  Path to the icon to be displayed for the expanded Group state Setter for iconExpandedGroup

  Specified by:
    `setIconExpandedGroup` in class `UIPanelMenu`
  Parameters:
    `iconExpandedGroup` - - new value

### getIconExpandedGroup

    public java.lang.String getIconExpandedGroup()

  Path to the icon to be displayed for the expanded Group state Getter for iconExpandedGroup

  Specified by:
    `getIconExpandedGroup` in class `UIPanelMenu`
  Returns:
    iconExpandedGroup value from local variable or value bindings

### setIconExpandedTopGroup

    public void setIconExpandedTopGroup(java.lang.String __iconExpandedTopGroup)

  Path to the icon to be displayed for the expanded top group state Setter for iconExpandedTopGroup

  Specified by:
    `setIconExpandedTopGroup` in class `UIPanelMenu`
  Parameters:
    `iconExpandedTopGroup` - - new value

### getIconExpandedTopGroup

    public java.lang.String getIconExpandedTopGroup()

  Path to the icon to be displayed for the expanded top group state Getter for iconExpandedTopGroup

  Specified by:
    `getIconExpandedTopGroup` in class `UIPanelMenu`
  Returns:
    iconExpandedTopGroup value from local variable or value bindings

### setIconGroupPosition

    public void setIconGroupPosition(java.lang.String __iconGroupPosition)

  Position of the icon (left, right none (default) ) for the group icon Setter for iconGroupPosition

  Specified by:
    `setIconGroupPosition` in class `UIPanelMenu`
  Parameters:
    `iconGroupPosition` - - new value

### getIconGroupPosition

    public java.lang.String getIconGroupPosition()

  Position of the icon (left, right none (default) ) for the group icon Getter for iconGroupPosition

  Specified by:
    `getIconGroupPosition` in class `UIPanelMenu`
  Returns:
    iconGroupPosition value from local variable or value bindings

### setIconGroupTopPosition

    public void setIconGroupTopPosition(java.lang.String __iconGroupTopPosition)

  Position of the icon (left, right none (default) ) for the top group icon Setter for iconGroupTopPosition

  Specified by:
    `setIconGroupTopPosition` in class `UIPanelMenu`
  Parameters:
    `iconGroupTopPosition` - - new value

### getIconGroupTopPosition

    public java.lang.String getIconGroupTopPosition()

  Position of the icon (left, right none (default) ) for the top group icon Getter for iconGroupTopPosition

  Specified by:
    `getIconGroupTopPosition` in class `UIPanelMenu`
  Returns:
    iconGroupTopPosition value from local variable or value bindings

### setIconItem

    public void setIconItem(java.lang.String __iconItem)

  Path to the icon to be displayed for the enabled item state Setter for iconItem

  Specified by:
    `setIconItem` in class `UIPanelMenu`
  Parameters:
    `iconItem` - - new value

### getIconItem

    public java.lang.String getIconItem()

  Path to the icon to be displayed for the enabled item state Getter for iconItem

  Specified by:
    `getIconItem` in class `UIPanelMenu`
  Returns:
    iconItem value from local variable or value bindings

### setIconItemPosition

    public void setIconItemPosition(java.lang.String __iconItemPosition)

  Position of the icon (left, right none (default) ) for the item icon Setter for iconItemPosition

  Specified by:
    `setIconItemPosition` in class `UIPanelMenu`
  Parameters:
    `iconItemPosition` - - new value

### getIconItemPosition

    public java.lang.String getIconItemPosition()

  Position of the icon (left, right none (default) ) for the item icon Getter for iconItemPosition

  Specified by:
    `getIconItemPosition` in class `UIPanelMenu`
  Returns:
    iconItemPosition value from local variable or value bindings

### setIconItemTopPosition

    public void setIconItemTopPosition(java.lang.String __iconItemTopPosition)

  Position of the icon (left, right none (default) ) for the top item icon Setter for iconItemTopPosition

  Specified by:
    `setIconItemTopPosition` in class `UIPanelMenu`
  Parameters:
    `iconItemTopPosition` - - new value

### getIconItemTopPosition

    public java.lang.String getIconItemTopPosition()

  Position of the icon (left, right none (default) ) for the top item icon Getter for iconItemTopPosition

  Specified by:
    `getIconItemTopPosition` in class `UIPanelMenu`
  Returns:
    iconItemTopPosition value from local variable or value bindings

### setIconTopDisableGroup

    public void setIconTopDisableGroup(java.lang.String __iconTopDisableGroup)

  Path to the icon to be displayed for the disabled top Group state Setter for iconTopDisableGroup

  Specified by:
    `setIconTopDisableGroup` in class `UIPanelMenu`
  Parameters:
    `iconTopDisableGroup` - - new value

### getIconTopDisableGroup

    public java.lang.String getIconTopDisableGroup()

  Path to the icon to be displayed for the disabled top Group state Getter for iconTopDisableGroup

  Specified by:
    `getIconTopDisableGroup` in class `UIPanelMenu`
  Returns:
    iconTopDisableGroup value from local variable or value bindings

### setIconTopDisabledItem

    public void setIconTopDisabledItem(java.lang.String __iconTopDisabledItem)

  Path to the icon to be displayed for the disabled top item state Setter for iconTopDisabledItem

  Specified by:
    `setIconTopDisabledItem` in class `UIPanelMenu`
  Parameters:
    `iconTopDisabledItem` - - new value

### getIconTopDisabledItem

    public java.lang.String getIconTopDisabledItem()

  Path to the icon to be displayed for the disabled top item state Getter for iconTopDisabledItem

  Specified by:
    `getIconTopDisabledItem` in class `UIPanelMenu`
  Returns:
    iconTopDisabledItem value from local variable or value bindings

### setIconTopItem

    public void setIconTopItem(java.lang.String __iconTopItem)

  Path to the icon to be displayed for the enabled top item state Setter for iconTopItem

  Specified by:
    `setIconTopItem` in class `UIPanelMenu`
  Parameters:
    `iconTopItem` - - new value

### getIconTopItem

    public java.lang.String getIconTopItem()

  Path to the icon to be displayed for the enabled top item state Getter for iconTopItem

  Specified by:
    `getIconTopItem` in class `UIPanelMenu`
  Returns:
    iconTopItem value from local variable or value bindings

### setItemClass

    public void setItemClass(java.lang.String __itemClass)

  Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass

  Specified by:
    `setItemClass` in class `UIPanelMenu`
  Parameters:
    `itemClass` - - new value

### getItemClass

    public java.lang.String getItemClass()

  Space-separated list of CSS style class(es) that are be applied to item of this component Getter for itemClass

  Specified by:
    `getItemClass` in class `UIPanelMenu`
  Returns:
    itemClass value from local variable or value bindings

### setItemStyle

    public void setItemStyle(java.lang.String __itemStyle)

  CSS style(s) is/are to be applied to item when this component is rendered. Setter for itemStyle

  Specified by:
    `setItemStyle` in class `UIPanelMenu`
  Parameters:
    `itemStyle` - - new value

### getItemStyle

    public java.lang.String getItemStyle()

  CSS style(s) is/are to be applied to item when this component is rendered. Getter for itemStyle

  Specified by:
    `getItemStyle` in class `UIPanelMenu`
  Returns:
    itemStyle value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setMode

    public void setMode(java.lang.String __mode)

  Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined. (ajax, server,(Default), none) Setter for mode

  Specified by:
    `setMode` in class `UIPanelMenu`
  Parameters:
    `mode` - - new value

### getMode

    public java.lang.String getMode()

  Set the submission mode for all panel menu items on the panel menu except ones where this attribute redefined. (ajax, server,(Default), none) Getter for mode

  Specified by:
    `getMode` in class `UIPanelMenu`
  Returns:
    mode value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Specified by:
    `setOnclick` in class `UIPanelMenu`
  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Specified by:
    `getOnclick` in class `UIPanelMenu`
  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Specified by:
    `setOndblclick` in class `UIPanelMenu`
  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Specified by:
    `getOndblclick` in class `UIPanelMenu`
  Returns:
    ondblclick value from local variable or value bindings

### setOngroupcollapse

    public void setOngroupcollapse(java.lang.String __ongroupcollapse)

  HTML: script expression; some group was closed Setter for ongroupcollapse

  Specified by:
    `setOngroupcollapse` in class `UIPanelMenu`
  Parameters:
    `ongroupcollapse` - - new value

### getOngroupcollapse

    public java.lang.String getOngroupcollapse()

  HTML: script expression; some group was closed Getter for ongroupcollapse

  Specified by:
    `getOngroupcollapse` in class `UIPanelMenu`
  Returns:
    ongroupcollapse value from local variable or value bindings

### setOngroupexpand

    public void setOngroupexpand(java.lang.String __ongroupexpand)

  HTML: script expression; some group was activated Setter for ongroupexpand

  Specified by:
    `setOngroupexpand` in class `UIPanelMenu`
  Parameters:
    `ongroupexpand` - - new value

### getOngroupexpand

    public java.lang.String getOngroupexpand()

  HTML: script expression; some group was activated Getter for ongroupexpand

  Specified by:
    `getOngroupexpand` in class `UIPanelMenu`
  Returns:
    ongroupexpand value from local variable or value bindings

### setOnitemhover

    public void setOnitemhover(java.lang.String __onitemhover)

  HTML: script expression; some item was hovered Setter for onitemhover

  Specified by:
    `setOnitemhover` in class `UIPanelMenu`
  Parameters:
    `onitemhover` - - new value

### getOnitemhover

    public java.lang.String getOnitemhover()

  HTML: script expression; some item was hovered Getter for onitemhover

  Specified by:
    `getOnitemhover` in class `UIPanelMenu`
  Returns:
    onitemhover value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: script expression; a pointer was moved within. Setter for onmousemove

  Specified by:
    `setOnmousemove` in class `UIPanelMenu`
  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: script expression; a pointer was moved within. Getter for onmousemove

  Specified by:
    `getOnmousemove` in class `UIPanelMenu`
  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: script expression; a pointer was moved away. Setter for onmouseout

  Specified by:
    `setOnmouseout` in class `UIPanelMenu`
  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: script expression; a pointer was moved away. Getter for onmouseout

  Specified by:
    `getOnmouseout` in class `UIPanelMenu`
  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: script expression; a pointer was moved onto. Setter for onmouseover

  Specified by:
    `setOnmouseover` in class `UIPanelMenu`
  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: script expression; a pointer was moved onto. Getter for onmouseover

  Specified by:
    `getOnmouseover` in class `UIPanelMenu`
  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setSelectedChild

    public void setSelectedChild(java.lang.String __selectedChild)

  contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Setter for selectedChild

  Specified by:
    `setSelectedChild` in class `UIPanelMenu`
  Parameters:
    `selectedChild` - - new value

### getSelectedChild

    public java.lang.String getSelectedChild()

  contain the name or the clientId of any of the item or group, the child defined in this attribute should be highlighted on PanelMenu rendering Getter for selectedChild

  Specified by:
    `getSelectedChild` in class `UIPanelMenu`
  Returns:
    selectedChild value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  The CSS style for the panel menu. Setter for style

  Specified by:
    `setStyle` in class `UIPanelMenu`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  The CSS style for the panel menu. Getter for style

  Specified by:
    `getStyle` in class `UIPanelMenu`
  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  The CSS class for the panel menu. Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIPanelMenu`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  The CSS class for the panel menu. Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIPanelMenu`
  Returns:
    styleClass value from local variable or value bindings

### setTopGroupClass

    public void setTopGroupClass(java.lang.String __topGroupClass)

  Space-separated list of CSS style class(es) that are be applied to top group of this component Setter for topGroupClass

  Specified by:
    `setTopGroupClass` in class `UIPanelMenu`
  Parameters:
    `topGroupClass` - - new value

### getTopGroupClass

    public java.lang.String getTopGroupClass()

  Space-separated list of CSS style class(es) that are be applied to top group of this component Getter for topGroupClass

  Specified by:
    `getTopGroupClass` in class `UIPanelMenu`
  Returns:
    topGroupClass value from local variable or value bindings

### setTopGroupStyle

    public void setTopGroupStyle(java.lang.String __topGroupStyle)

  CSS style(s) is/are to be applied to top group when this component is rendered Setter for topGroupStyle

  Specified by:
    `setTopGroupStyle` in class `UIPanelMenu`
  Parameters:
    `topGroupStyle` - - new value

### getTopGroupStyle

    public java.lang.String getTopGroupStyle()

  CSS style(s) is/are to be applied to top group when this component is rendered Getter for topGroupStyle

  Specified by:
    `getTopGroupStyle` in class `UIPanelMenu`
  Returns:
    topGroupStyle value from local variable or value bindings

### setTopItemClass

    public void setTopItemClass(java.lang.String __topItemClass)

  Space-separated list of CSS style class(es) that are be applied to top item of this component Setter for topItemClass

  Specified by:
    `setTopItemClass` in class `UIPanelMenu`
  Parameters:
    `topItemClass` - - new value

### getTopItemClass

    public java.lang.String getTopItemClass()

  Space-separated list of CSS style class(es) that are be applied to top item of this component Getter for topItemClass

  Specified by:
    `getTopItemClass` in class `UIPanelMenu`
  Returns:
    topItemClass value from local variable or value bindings

### setTopItemStyle

    public void setTopItemStyle(java.lang.String __topItemStyle)

  CSS style(s) is/are to be applied to top item when this component is rendered Setter for topItemStyle

  Specified by:
    `setTopItemStyle` in class `UIPanelMenu`
  Parameters:
    `topItemStyle` - - new value

### getTopItemStyle

    public java.lang.String getTopItemStyle()

  CSS style(s) is/are to be applied to top item when this component is rendered Getter for topItemStyle

  Specified by:
    `getTopItemStyle` in class `UIPanelMenu`
  Returns:
    topItemStyle value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  Set minimal width for the menu. Setter for width

  Specified by:
    `setWidth` in class `UIPanelMenu`
  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Set minimal width for the menu. Getter for width

  Specified by:
    `getWidth` in class `UIPanelMenu`
  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.